2019-10-17 00:05 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001641FSSCPmultiplayerpublic2008-08-04 14:04
ReporterShade 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001641: Event scoring does not work in TvT
DescriptionAdding a score to an event in TvT does not actually give the team any points when the event is triggered.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009030

FUBAR-BDHR (developer)

Retail behavior. If I recall it does add the event score to the player totals just not to the team total. I checked multi scoring over a year ago though. Wonder if that ever made the Wiki.

~0009031

karajorma (administrator)

I've been meaning to fix that one myself for a while actually.

~0009208

karajorma (administrator)

Hmmmmm. Looks like I mis-remembered the problem I had with it. The team gets the points. The individual players on that team don't.

 Is that actually what you want fixed or are you having some problem with the team not getting a score?

~0009213

Shade (developer)

Last edited: 2008-04-12 10:54

Team wasn't getting the score. The rudimentary KotH mission found here demonstrates the problem: http://www.hard-light.net/forums/index.php/topic,52898.0.html

I don't think individual players were ever intended to get points from events in MP, as you'd have no way of giving them to the specific player who triggered the event.

~0009220

karajorma (administrator)

Last edited: 2008-04-13 15:55

Might be nice to be able to split the points between the members of that team though.

King of the Hill is a good example of this. Team 0 might take more casualties but actually win the match. However at the end the players of team 2 will advance faster because they had more kills.

I suspect a new feature is called for here too.


While I'm at it, stick some messages on those two events in the test mission. I suspect that the problem is simply that the events aren't triggering at all rather than a problem with scoring them.

~0009223

FUBAR-BDHR (developer)

Maybe what we need to do is start a discussion on the forums about all multi scoring and come up with a better system. Coop could use some revisions as well. Of course it would need to be an option so retail scoring could still be used.

~0009224

karajorma (administrator)

Go for it. Bounce some ideas around and I'll implement the best one.

~0009225

FUBAR-BDHR (developer)

And so it begins: http://www.hard-light.net/forums/index.php/topic,53307.0.html

~0009227

Shade (developer)

Did try adding messages to the events back before I posted this bug (it's the first thing I do whenever an event is being troublesome), and the events trigger just fine.

~0009535

karajorma (administrator)

Should be fixed. If not open a new bug and I'll take a look.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-24 17:45 Shade New Issue
2008-03-24 17:45 Shade Category --------- => multiplayer
2008-03-24 19:06 FUBAR-BDHR Note Added: 0009030
2008-03-24 19:48 karajorma Note Added: 0009031
2008-03-24 19:48 karajorma Status new => assigned
2008-03-24 19:48 karajorma Assigned To => karajorma
2008-04-08 19:21 karajorma Note Added: 0009208
2008-04-12 10:53 Shade Note Added: 0009213
2008-04-12 10:54 Shade Note Edited: 0009213
2008-04-12 10:54 Shade Note Edited: 0009213
2008-04-13 15:48 karajorma Note Added: 0009220
2008-04-13 15:55 karajorma Note Edited: 0009220
2008-04-13 17:44 FUBAR-BDHR Note Added: 0009223
2008-04-13 18:02 karajorma Note Added: 0009224
2008-04-13 18:53 FUBAR-BDHR Note Added: 0009225
2008-04-15 06:17 Shade Note Added: 0009227
2008-08-04 14:04 karajorma Status assigned => resolved
2008-08-04 14:04 karajorma Fixed in Version => 3.6.10
2008-08-04 14:04 karajorma Resolution open => fixed
2008-08-04 14:04 karajorma Note Added: 0009535
+Issue History